.email-auth-container {
    max-width: 57rem;
    margin: 20px auto;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: var(--white);
}

.email-auth-error {
    color: #ff4d4d;
    background-color: #ffe6e6;
    margin-bottom: 20px;
    border-radius: 4px;
    border: none;
    font-family: inherit;
    font-size: 2rem;
    line-height: 3.2rem;
    padding: 1.6rem 2.4rem;
}

.email-auth-success {
    color: #4CAF50;
    background-color: #e6ffe6;
    margin-bottom: 20px;
    border-radius: 4px;
    border: none;
    font-family: inherit;
    font-size: 2rem;
    line-height: 3.2rem;
    padding: 1.6rem 2.4rem;
}

.email-auth-form-group {
    margin-bottom: 20px;
}

.email-auth-form-group label {
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
}

.email-auth-form-group input[type="email"],
.email-auth-form-group input[type="text"] {
    width: 100%;
    border-radius: 4px;
    box-sizing: border-box;
    background: var(--grey-light);
    border: none!important;
    font-family: inherit;
    font-size: 2rem;
    line-height: 3.2rem;
    padding: 1.6rem 2.4rem;
    outline: none;
}

.email-auth-btn {
    display: inline-block;
    padding: 10px 20px;
    background-color: var(--primary);
    color: var(--white);
    text-align: center;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    text-decoration: none;
}
